Bug 1030041 - Ads and 3rd party tracking in TLS section of rsyslog documentation
Ads and 3rd party tracking in TLS section of rsyslog documentation
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsyslog (Show other bugs)
5.10
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Tomas Heinrich
BaseOS QE Security Team
: Documentation, EasyFix
Depends On: 1030040 1030043 1030044
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 14:16 EST by Filip Krska
Modified: 2016-09-20 00:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1030040
Environment:
Last Closed: 2014-07-16 09:55:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Krska 2013-11-13 14:16:47 EST
+++ This bug was initially created as a clone of Bug #1030040 +++

Description of problem:

There are unsolicited ads loaded from 3rd party servers (implies unsolicited and unexpected tracking by the 3rd party, so privacy concerns may apply) via following markup:

<span style="float: left">
<script type="text/javascript"><!--
google_ad_client = "pub-3204610807458280";
/* rsyslog doc inline */
google_ad_slot = "5958614527";
google_ad_width = 125;
google_ad_height = 125;
//-->
</script>
<script type="text/javascript"
src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
</span>

in following doc pages:

/usr/share/doc/rsyslog-4.6.2/rsyslog_secure_tls.html
/usr/share/doc/rsyslog-4.6.2/tls_cert_errmsgs.html
/usr/share/doc/rsyslog-4.6.2/tls_cert_ca.html
/usr/share/doc/rsyslog-4.6.2/tls_cert_machine.html
/usr/share/doc/rsyslog-4.6.2/tls_cert_scenario.html
/usr/share/doc/rsyslog-4.6.2/tls_cert_server.html
/usr/share/doc/rsyslog-4.6.2/tls_cert_client.html
/usr/share/doc/rsyslog-4.6.2/tls_cert_udp_relay.html
/usr/share/doc/rsyslog-4.6.2/tls_cert_summary.html


Version-Release number of selected component (if applicable):

All versions (RHEL 5,6,7, latest Fedora affected)

How reproducible:

Allways

Steps to Reproduce:
1. browse e.g. file:///usr/share/doc/rsyslog-5.8.10/rsyslog_secure_tls.html with web browser

Actual results:

Ads are loaded from http://pagead2.googlesyndication.com

Expected results:

No http request to 3rd party site is performed, no ads displayed when browsing local docs

Additional info:
Comment 1 RHEL Product and Program Management 2014-02-24 19:11:43 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2014-03-07 08:57:32 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.

Note You need to log in before you can comment on or make changes to this bug.